# Generated from sensu-plugins-openbsd-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-openbsd

Name: rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Summary: Sensu plugins for OpenBSD
License: MIT
URL: https://github.com/Sigterm-no/sensu-plugins-openbsd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.51.0
# BuildRequires: rubygem(rubocop) < 0.52
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides common checks for OpenBSD hosts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-ntp.rb
%{_bindir}/check-process.rb
%{_bindir}/check-cmd.rb
%{_bindir}/check-bgpd.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.7-1
- Initial package
